diff --git a/backend/drm/renderer.c b/backend/drm/renderer.c
index f25ce247bd..855071e95c 100644
--- a/backend/drm/renderer.c
+++ b/backend/drm/renderer.c
@@ -81,6 +81,7 @@ bool init_drm_surface(struct wlr_drm_surface *surf,
 			surf->back = NULL;
 		}
 		gbm_surface_destroy(surf->gbm);
+		surf->gbm = NULL;
 	}
 	wlr_egl_destroy_surface(&surf->renderer->egl, surf->egl);
 
